import { defineComponent } from 'vue';
import AppLoginView from '@/components/login-view/app-login-view/app-login-view';
import AppLoginExtend from '@/components/login-view/app-login-extend/app-login-extend';
import KqLoginView from '@/components/login-view/kq-login-view/kq-login-view';

export default defineComponent({
  render() {
    if (ibiz.env.loginViewName === 'KqLoginView') {
      return <KqLoginView></KqLoginView>;
    }
    if (ibiz.env.loginViewName === 'default') {
      return <AppLoginView></AppLoginView>;
    }
    return <AppLoginExtend></AppLoginExtend>;
  },
});
